%define upstream_name    Sysadm-Install
%define upstream_version 0.46

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Typical installation tasks for system administrators
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://cpan.metacpan.org/authors/id/M/MS/MSCHILLI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Copy)
BuildRequires: perl(File::Path)
BuildRequires: perl(File::Temp) >= 0.160.0
BuildRequires: perl(File::Which) >= 1.90.0
BuildRequires: perl(LWP::Simple)
BuildRequires: perl(Log::Log4perl) >= 1.280.0
BuildRequires: perl(Term::ReadKey)
BuildArch:  noarch

%description
Have you ever wished for your installation shell scripts to run
reproducibly, without much programming fuzz, and even with optional logging
enabled? Then give up shell programming, use Perl.

'Sysadm::Install' executes shell-like commands performing typical
installation tasks: Copying files, extracting tarballs, calling 'make'. It
has a 'fail once and die' policy, meticulously checking the result of every
operation and calling 'die()' immediately if anything fails.

'Sysadm::Install' also supports a _dry_run_ mode, in which it logs
everything, but suppresses any write actions. Dry run mode is enabled by
calling 'Sysadm::Install::dry_run(1)'. To switch back to normal, call
'Sysadm::Install::dry_run(0)'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%{perl_vendorlib}/*
/usr/bin/one-liner

%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.460.0-4pclos2017
- rebuild against updates

